#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './behaviour.ui'
**
** Created: 2012-01-26T21:43:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "behaviour.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Behaviour as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Behaviour::Behaviour( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Behaviour" );
    BehaviourLayout = new QGridLayout( this, 1, 1, 11, 6, "BehaviourLayout"); 

    GeneralBehaviour = new QLabel( this, "GeneralBehaviour" );
    QFont GeneralBehaviour_font(  GeneralBehaviour->font() );
    GeneralBehaviour_font.setBold( TRUE );
    GeneralBehaviour->setFont( GeneralBehaviour_font ); 
    GeneralBehaviour->setAlignment( int( QLabel::AlignBottom ) );

    BehaviourLayout->addMultiCellWidget( GeneralBehaviour, 0, 0, 0, 1 );
    spacer8 = new QSpacerItem( 31, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    BehaviourLayout->addItem( spacer8, 1, 2 );

    kcfg_OverrideAltF1 = new QCheckBox( this, "kcfg_OverrideAltF1" );

    BehaviourLayout->addWidget( kcfg_OverrideAltF1, 1, 1 );
    spacer7 = new QSpacerItem( 81, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    BehaviourLayout->addItem( spacer7, 1, 0 );

    kcfg_ShowSaveSession = new QCheckBox( this, "kcfg_ShowSaveSession" );

    BehaviourLayout->addWidget( kcfg_ShowSaveSession, 2, 1 );

    kcfg_HideOneChild = new QCheckBox( this, "kcfg_HideOneChild" );
    kcfg_HideOneChild->setChecked( TRUE );

    BehaviourLayout->addWidget( kcfg_HideOneChild, 4, 1 );

    kcfg_Alphabetical = new QCheckBox( this, "kcfg_Alphabetical" );

    BehaviourLayout->addWidget( kcfg_Alphabetical, 5, 1 );

    SearchFieldBehaviour = new QLabel( this, "SearchFieldBehaviour" );
    QFont SearchFieldBehaviour_font(  SearchFieldBehaviour->font() );
    SearchFieldBehaviour_font.setBold( TRUE );
    SearchFieldBehaviour->setFont( SearchFieldBehaviour_font ); 
    SearchFieldBehaviour->setAlignment( int( QLabel::AlignBottom ) );

    BehaviourLayout->addMultiCellWidget( SearchFieldBehaviour, 6, 6, 0, 1 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFrameShape( QButtonGroup::NoFrame );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 0 );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    simpleSearch = new QRadioButton( buttonGroup1, "simpleSearch" );
    simpleSearch->setChecked( TRUE );
    buttonGroup1Layout->addWidget( simpleSearch );

    kcfg_KerryIntegration = new QRadioButton( buttonGroup1, "kcfg_KerryIntegration" );
    buttonGroup1Layout->addWidget( kcfg_KerryIntegration );

    kcfg_StrigiIntegration = new QRadioButton( buttonGroup1, "kcfg_StrigiIntegration" );
    buttonGroup1Layout->addWidget( kcfg_StrigiIntegration );

    BehaviourLayout->addWidget( buttonGroup1, 7, 1 );

    kcfg_NewAppsNotification = new QCheckBox( this, "kcfg_NewAppsNotification" );
    kcfg_NewAppsNotification->setChecked( TRUE );

    BehaviourLayout->addWidget( kcfg_NewAppsNotification, 3, 1 );
    languageChange();
    resize( QSize(516, 400).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Behaviour::~Behaviour()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Behaviour::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    GeneralBehaviour->setText( tr2i18n( "General behaviour" ) );
    kcfg_OverrideAltF1->setText( tr2i18n( "&Override alt+F1 keyboard shortcut (requires kicker restart)" ) );
    kcfg_OverrideAltF1->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QWhatsThis::add( kcfg_OverrideAltF1, tr2i18n( "Pops up Tasty Menu instead of KMenu when the shortcut sequence Alt+F1 is pressed" ) );
    kcfg_ShowSaveSession->setText( tr2i18n( "Show save session functionalit&y" ) );
    kcfg_ShowSaveSession->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    QWhatsThis::add( kcfg_ShowSaveSession, tr2i18n( "Under the menu that pops up when the button with user name is pressed a new item \"Save current session\" is added.\n"
"It saves the current session informations like open applications and windows position. In order to use it you must set \"Restore manually saved session\" in the Session Manager Kcontrol module." ) );
    kcfg_HideOneChild->setText( tr2i18n( "&Hide groups with only one application" ) );
    kcfg_HideOneChild->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    kcfg_Alphabetical->setText( tr2i18n( "Show items in alpha&betical order" ) );
    kcfg_Alphabetical->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    SearchFieldBehaviour->setText( tr2i18n( "Search field behaviour" ) );
    buttonGroup1->setTitle( QString::null );
    simpleSearch->setText( tr2i18n( "Si&mple searches" ) );
    simpleSearch->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( simpleSearch, tr2i18n( "Filters the applications list" ) );
    QWhatsThis::add( simpleSearch, tr2i18n( "It displays in the first column all the applications whose name or description matches with the query you entered" ) );
    kcfg_KerryIntegration->setText( tr2i18n( "&Kerry Beagle integration" ) );
    kcfg_KerryIntegration->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    QToolTip::add( kcfg_KerryIntegration, tr2i18n( "Perform queries with Kerry Beagle" ) );
    QWhatsThis::add( kcfg_KerryIntegration, tr2i18n( "Perform queries with Kerry Beagle instead of using the first column.\n"
"It needs Kerry Beagle up and running." ) );
    kcfg_StrigiIntegration->setText( tr2i18n( "Stri&gi Integration" ) );
    kcfg_StrigiIntegration->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    QToolTip::add( kcfg_StrigiIntegration, tr2i18n( "Perform queries with Strigi" ) );
    QWhatsThis::add( kcfg_StrigiIntegration, tr2i18n( "Perform queries with Strigi instead of using the first column.\n"
"It needs the Strigi Daemon up and running" ) );
    kcfg_NewAppsNotification->setText( tr2i18n( "&Notify recently installed applications (requires kicker restart)" ) );
    kcfg_NewAppsNotification->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
}

#include "behaviour.moc"
