#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './tastytooltipwidget.ui'
**
** Created: 2012-01-26T21:43:02
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "tastytooltipwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a TastyToolTipWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TastyToolTipWidget::TastyToolTipWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TastyToolTipWidget" );
    TastyToolTipWidgetLayout = new QVBoxLayout( this, 0, 0, "TastyToolTipWidgetLayout"); 

    frame5 = new QFrame( this, "frame5" );
    frame5->setFrameShape( QFrame::StyledPanel );
    frame5->setFrameShadow( QFrame::Raised );
    frame5Layout = new QHBoxLayout( frame5, 11, 6, "frame5Layout"); 

    iconPixmap = new QLabel( frame5, "iconPixmap" );
    iconPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, iconPixmap->sizePolicy().hasHeightForWidth() ) );
    iconPixmap->setMinimumSize( QSize( 64, 64 ) );
    iconPixmap->setScaledContents( TRUE );
    frame5Layout->addWidget( iconPixmap );

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    appNameLabel = new QLabel( frame5, "appNameLabel" );
    QFont appNameLabel_font(  appNameLabel->font() );
    appNameLabel_font.setPointSize( 14 );
    appNameLabel_font.setBold( TRUE );
    appNameLabel->setFont( appNameLabel_font ); 
    layout2->addWidget( appNameLabel );

    DescLabel = new QLabel( frame5, "DescLabel" );
    layout2->addWidget( DescLabel );

    MessageLabel = new QLabel( frame5, "MessageLabel" );
    layout2->addWidget( MessageLabel );
    frame5Layout->addLayout( layout2 );
    TastyToolTipWidgetLayout->addWidget( frame5 );
    languageChange();
    resize( QSize(391, 127).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TastyToolTipWidget::~TastyToolTipWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TastyToolTipWidget::languageChange()
{
    setCaption( tr2i18n( "Tasty Menu" ) );
    appNameLabel->setText( tr2i18n( "<b>Tasty Menu</b>" ) );
    DescLabel->setText( tr2i18n( "Applications, tasks and desktop sessions" ) );
    MessageLabel->setText( QString::null );
}

#include "tastytooltipwidget.moc"
