#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './menu.ui'
**
** Created: 2012-01-26T21:42:55
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "menu.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <klistviewsearchline.h>
#include <qtoolbutton.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "tastylistview.h"

/*
 *  Constructs a Menu as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Menu::Menu( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Menu" );
    MenuLayout = new QVBoxLayout( this, 0, 0, "MenuLayout"); 

    frame9 = new QFrame( this, "frame9" );
    frame9->setFrameShape( QFrame::PopupPanel );
    frame9->setFrameShadow( QFrame::Raised );
    frame9Layout = new QGridLayout( frame9, 1, 1, 11, 6, "frame9Layout"); 

    leftFrame = new QFrame( frame9, "leftFrame" );
    leftFrame->setMaximumSize( QSize( 200, 32767 ) );
    leftFrame->setFrameShape( QFrame::StyledPanel );
    leftFrame->setFrameShadow( QFrame::Plain );
    leftFrame->setLineWidth( 0 );
    leftFrame->setMargin( 0 );
    leftFrame->setMidLineWidth( 0 );
    leftFrameLayout = new QGridLayout( leftFrame, 1, 1, 0, 6, "leftFrameLayout"); 

    dynamicList = new TastyListView( leftFrame, "dynamicList" );

    leftFrameLayout->addMultiCellWidget( dynamicList, 2, 2, 0, 2 );

    clearRecentButton = new QPushButton( leftFrame, "clearRecentButton" );

    leftFrameLayout->addMultiCellWidget( clearRecentButton, 3, 3, 0, 2 );

    searchLabel = new QLabel( leftFrame, "searchLabel" );
    searchLabel->setTextFormat( QLabel::AutoText );

    leftFrameLayout->addWidget( searchLabel, 0, 0 );

    menuModes = new QComboBox( FALSE, leftFrame, "menuModes" );
    menuModes->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, menuModes->sizePolicy().hasHeightForWidth() ) );

    leftFrameLayout->addMultiCellWidget( menuModes, 1, 1, 1, 2 );

    searchLine = new KListViewSearchLine( leftFrame, "searchLine" );
    searchLine->setEnabled( TRUE );
    searchLine->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, searchLine->sizePolicy().hasHeightForWidth() ) );

    leftFrameLayout->addWidget( searchLine, 0, 1 );

    clearButton = new QToolButton( leftFrame, "clearButton" );

    leftFrameLayout->addWidget( clearButton, 0, 2 );

    showLabel = new QLabel( leftFrame, "showLabel" );

    leftFrameLayout->addWidget( showLabel, 1, 0 );

    frame9Layout->addMultiCellWidget( leftFrame, 0, 1, 0, 0 );

    rootList = new TastyListView( frame9, "rootList" );
    rootList->setMinimumSize( QSize( 0, 0 ) );

    frame9Layout->addWidget( rootList, 1, 1 );

    childList = new TastyListView( frame9, "childList" );
    childList->setMinimumSize( QSize( 0, 0 ) );

    frame9Layout->addWidget( childList, 1, 2 );

    allAppsFrame = new QFrame( frame9, "allAppsFrame" );
    allAppsFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, allAppsFrame->sizePolicy().hasHeightForWidth() ) );
    allAppsFrame->setFrameShape( QFrame::StyledPanel );
    allAppsFrame->setFrameShadow( QFrame::Sunken );
    allAppsFrameLayout = new QHBoxLayout( allAppsFrame, 2, 6, "allAppsFrameLayout"); 

    textLabel1 = new QLabel( allAppsFrame, "textLabel1" );
    QFont textLabel1_font(  textLabel1->font() );
    textLabel1_font.setBold( TRUE );
    textLabel1->setFont( textLabel1_font ); 
    textLabel1->setAlignment( int( QLabel::AlignCenter ) );
    allAppsFrameLayout->addWidget( textLabel1 );

    detachButton = new QToolButton( allAppsFrame, "detachButton" );
    detachButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, detachButton->sizePolicy().hasHeightForWidth() ) );
    detachButton->setAutoRaise( TRUE );
    allAppsFrameLayout->addWidget( detachButton );

    frame9Layout->addMultiCellWidget( allAppsFrame, 0, 0, 1, 2 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    runButton = new KPushButton( frame9, "runButton" );
    layout6->addWidget( runButton );

    switchButton = new KPushButton( frame9, "switchButton" );
    layout6->addWidget( switchButton );

    lockButton = new KPushButton( frame9, "lockButton" );
    layout6->addWidget( lockButton );

    logoutButton = new KPushButton( frame9, "logoutButton" );
    layout6->addWidget( logoutButton );

    frame9Layout->addMultiCellLayout( layout6, 2, 2, 0, 2 );
    MenuLayout->addWidget( frame9 );
    languageChange();
    resize( QSize(538, 428).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( searchLine, menuModes );
    setTabOrder( menuModes, dynamicList );
    setTabOrder( dynamicList, rootList );
    setTabOrder( rootList, childList );
    setTabOrder( childList, runButton );
    setTabOrder( runButton, switchButton );
    setTabOrder( switchButton, lockButton );
    setTabOrder( lockButton, logoutButton );

    // buddies
    searchLabel->setBuddy( searchLine );
    showLabel->setBuddy( menuModes );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Menu::~Menu()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Menu::languageChange()
{
    setCaption( tr2i18n( "Tasty Menu" ) );
    clearRecentButton->setText( tr2i18n( "&Clear list" ) );
    clearRecentButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    searchLabel->setText( tr2i18n( "Se&arch:" ) );
    menuModes->clear();
    menuModes->insertItem( tr2i18n( "Favourite applications" ) );
    menuModes->insertItem( tr2i18n( "Most used applications" ) );
    menuModes->insertItem( tr2i18n( "Recent applications" ) );
    menuModes->insertItem( tr2i18n( "Recent documents" ) );
    QToolTip::add( menuModes, tr2i18n( "Use this dropdown menu to change the behaviour of the list below" ) );
    clearButton->setText( tr2i18n( "..." ) );
    showLabel->setText( tr2i18n( "&Show:" ) );
    textLabel1->setText( tr2i18n( "All Applications" ) );
    detachButton->setText( tr2i18n( "..." ) );
    QToolTip::add( detachButton, tr2i18n( "Make this menu a normal window" ) );
    runButton->setText( tr2i18n( "Ru&n program..." ) );
    runButton->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( runButton, tr2i18n( "If you know exatly how a program is named you can directly enter the application name" ) );
    switchButton->setText( QString::null );
    switchButton->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( switchButton, tr2i18n( "Start a new session, switch the active user or edit your user profile" ) );
    lockButton->setText( tr2i18n( "L&ock Session" ) );
    lockButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QWhatsThis::add( lockButton, tr2i18n( "Lock the pc with a password if you are going away for a while" ) );
    logoutButton->setText( tr2i18n( "Lo&g Out..." ) );
    logoutButton->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    QToolTip::add( logoutButton, tr2i18n( "Logout, reboot or shoutdown the computer" ) );
}

#include "menu.moc"
